Last Comment Bug 736279 - Followup to fix bugs in about:home Visual Refresh
: Followup to fix bugs in about:home Visual Refresh
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Frank Yan (:fryn)
:
Mentors:
about:home
Depends on: 736512
Blocks: 711157
  Show dependency treegraph
 
Reported: 2012-03-15 14:54 PDT by Frank Yan (:fryn)
Modified: 2012-05-30 02:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (2.65 KB, patch)
2012-03-15 14:54 PDT, Frank Yan (:fryn)
no flags Details | Diff | Review
patch v2 (4.72 KB, patch)
2012-03-15 15:39 PDT, Frank Yan (:fryn)
no flags Details | Diff | Review
patch v3 (4.54 KB, patch)
2012-03-15 15:49 PDT, Frank Yan (:fryn)
mak77: review+
Details | Diff | Review

Description Frank Yan (:fryn) 2012-03-15 14:54:17 PDT
Created attachment 606362 [details] [diff] [review]
patch

There are three issues with about:home that we should fix immediately:
1. Launcher buttons do not crop properly when the restore session button is not present. (CSS flexbox weirdness)
2. The restore session button doesn't disappear after the session has been restored. (Typo!)
3. The about:home onload handler in browser.js throws when the document is being unloaded as it gets executed. This was an issue before the new about:home stuff landed, but it's a one-line fix, so I'll do it here.
Comment 1 Frank Yan (:fryn) 2012-03-15 15:39:07 PDT
Created attachment 606374 [details] [diff] [review]
patch v2

Also added "Marketplace" to aboutHome.dtd to avoid fuss later.
Comment 2 Frank Yan (:fryn) 2012-03-15 15:49:51 PDT
Created attachment 606378 [details] [diff] [review]
patch v3

Third time's the charm (I hope)!
(This is what happens when I try to write code on 3 hours of sleep.)
Comment 3 Marco Bonardo [::mak] 2012-03-16 02:57:41 PDT
https://hg.mozilla.org/mozilla-central/rev/6987476adb87
Comment 4 Marco Bonardo [::mak] 2012-03-16 02:58:11 PDT
and backported to aurora with bug 711157
Comment 5 Ioana (away) 2012-05-30 02:52:48 PDT
Mozilla/5.0 (Windows NT 6.1; rv:13.0) Gecko/20100101 Firefox/13.0
BuildID: 20120528154913

I have verified point 2 from comment 0. The Restore Session button disappeared after restoring the session.

Frank, can you please tell me:
 what I should/shouldn't see when verifying point 1?
 how can I verify point 3?
Comment 6 Frank Yan (:fryn) 2012-05-30 02:57:45 PDT
(In reply to Ioana Budnar [QA] from comment #5)

This doesn't need further verification.
Feel free to move onto other bugs.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.